## nvidia-graphics-drivers-575 575.64.03

=== kernel-open/Makefile ===
#
# This Makefile was automatically generated; do not edit.
#

###########################################################################
# Makefile for NVIDIA Linux GPU driver kernel modules
###########################################################################

# This makefile is read twice: when a user or nvidia-installer invokes
# 'make', this file is read.  It then invokes the Linux kernel's
# Kbuild.  Modern versions of Kbuild will then read the Kbuild file in
# this directory.  However, old versions of Kbuild will instead read
# this Makefile.  For backwards compatibility, when read by Kbuild
# (recognized by KERNELRELEASE not being empty), do nothing but
# include the Kbuild file in this directory.

ifneq ($(KERNELRELEASE),)
  include $(src)/Kbuild
else

  # Determine the location of the Linux kernel source tree, and of the
  # kernel's output tree.  Use this to invoke Kbuild, and pass the paths
  # to the source and output trees to NVIDIA's Kbuild file via
  # NV_KERNEL_{SOURCES,OUTPUT}.

  ifdef SYSSRC
    KERNEL_SOURCES := $(SYSSRC)
  else
    KERNEL_UNAME ?= $(shell uname -r)
    KERNEL_MODLIB := /lib/modules/$(KERNEL_UNAME)
    KERNEL_SOURCES := $(shell ((test -d $(KERNEL_MODLIB)/source && echo $(KERNEL_MODLIB)/source) || (test -d $(KERNEL_MODLIB)/build/source && echo $(KERNEL_MODLIB)/build/source)) || echo $(KERNEL_MODLIB)/build)
  endif

  KERNEL_OUTPUT := $(KERNEL_SOURCES)
  KBUILD_PARAMS :=

  ifdef SYSOUT
    ifneq ($(SYSOUT), $(KERNEL_SOURCES))
      KERNEL_OUTPUT := $(SYSOUT)
      KBUILD_PARAMS := KBUILD_OUTPUT=$(KERNEL_OUTPUT)
    endif
  else
    KERNEL_UNAME ?= $(shell uname -r)
    KERNEL_MODLIB := /lib/modules/$(KERNEL_UNAME)
    # $(filter patter...,text) - Returns all whitespace-separated words in text that
    # do match any of the pattern words, removing any words that do not match.
    # Set the KERNEL_OUTPUT only if either $(KERNEL_MODLIB)/source or
    # $(KERNEL_MODLIB)/build/source path matches the KERNEL_SOURCES.
    ifneq ($(filter $(KERNEL_SOURCES),$(KERNEL_MODLIB)/source $(KERNEL_MODLIB)/build/source),)
      KERNEL_OUTPUT := $(KERNEL_MODLIB)/build
      KBUILD_PARAMS := KBUILD_OUTPUT=$(KERNEL_OUTPUT)
    endif
  endif

  # If CC hasn't been set explicitly, check the value of CONFIG_CC_VERSION_TEXT.
  # Look for the compiler specified there, and use it by default, if found.
  ifeq ($(origin CC),default)
    cc_version_text=$(firstword $(shell . $(KERNEL_OUTPUT)/.config; \
                      echo "$$CONFIG_CC_VERSION_TEXT"))

    ifneq ($(cc_version_text),)
      ifeq ($(shell command -v $(cc_version_text)),)
          $(warning WARNING: Unable to locate the compiler $(cc_version_text) \
            from CONFIG_CC_VERSION_TEXT in the kernel configuration.)
      else
          CC=$(cc_version_text)
      endif
    endif
  endif

  CC ?= cc
  LD ?= ld
  OBJDUMP ?= objdump
  AWK ?= awk
  # Bake the following awk program in a string. The program is needed to add C++
  # to the languages excluded from BTF generation.
  #
  # Also, unconditionally return success (0) from the awk program, rather than
  # propagating pahole's return status (with 'exit system(pahole_cmd)'), to
  # workaround an DW_TAG_rvalue_reference_type error in
  # kernel/nvidia-modeset.ko.
  #
  # BEGIN {
  #     pahole_cmd = "pahole"
  #     for (i = 1; i < ARGC; i++) {
  #         if (ARGV[i] ~ /--lang_exclude=/) {
  #             pahole_cmd = pahole_cmd sprintf(" %s,c++", ARGV[i])
  #         } else {
  #             pahole_cmd = pahole_cmd sprintf(" %s", ARGV[i])
  #         }
  #     }
  #     system(pahole_cmd)
  # }
  PAHOLE_AWK_PROGRAM = BEGIN { pahole_cmd = \"pahole\"; for (i = 1; i < ARGC; i++) { if (ARGV[i] ~ /--lang_exclude=/) { pahole_cmd = pahole_cmd sprintf(\" %s,c++\", ARGV[i]); } else { pahole_cmd = pahole_cmd sprintf(\" %s\", ARGV[i]); } } system(pahole_cmd); }
  # If scripts/pahole-flags.sh is not present in the kernel tree, add PAHOLE and
  # PAHOLE_AWK_PROGRAM assignments to PAHOLE_VARIABLES; otherwise assign the
  # empty string to PAHOLE_VARIABLES.
  PAHOLE_VARIABLES=$(if $(wildcard $(KERNEL_SOURCES)/scripts/pahole-flags.sh),,"PAHOLE=$(AWK) '$(PAHOLE_AWK_PROGRAM)'")

  ifndef ARCH
    ARCH := $(shell uname -m | sed -e 's/i.86/i386/' \
      -e 's/armv[0-7]\w\+/arm/' \
      -e 's/aarch64/arm64/' \
      -e 's/ppc64le/powerpc/' \
      -e 's/riscv64/riscv/' \
    )
  endif

  KERNEL_ARCH = $(ARCH)

  ifneq ($(filter $(ARCH),i386 x86_64),)
    KERNEL_ARCH = x86
  else
    ifeq ($(filter $(ARCH),arm64 powerpc riscv),)
        $(error Unsupported architecture $(ARCH))
    endif
  endif

  NV_KERNEL_MODULES ?= $(wildcard nvidia nvidia-uvm nvidia-vgpu-vfio nvidia-modeset nvidia-drm nvidia-peermem)
  NV_KERNEL_MODULES := $(filter-out $(NV_EXCLUDE_KERNEL_MODULES), \
                                    $(NV_KERNEL_MODULES))
  INSTALL_MOD_DIR ?= kernel/drivers/video

  NV_VERBOSE ?=
  SPECTRE_V2_RETPOLINE ?= 0

  ifeq ($(NV_VERBOSE),1)
    KBUILD_PARAMS += V=1
  endif
  KBUILD_PARAMS += -C $(KERNEL_SOURCES) M=$(CURDIR)
  KBUILD_PARAMS += ARCH=$(ARCH)
  KBUILD_PARAMS += NV_KERNEL_SOURCES=$(KERNEL_SOURCES)
  KBUILD_PARAMS += NV_KERNEL_OUTPUT=$(KERNEL_OUTPUT)
  KBUILD_PARAMS += NV_KERNEL_MODULES="$(NV_KERNEL_MODULES)"
  KBUILD_PARAMS += INSTALL_MOD_DIR="$(INSTALL_MOD_DIR)"
  KBUILD_PARAMS += NV_SPECTRE_V2=$(SPECTRE_V2_RETPOLINE)

  .PHONY: modules module clean clean_conftest modules_install
  modules clean modules_install:
	@$(MAKE) "LD=$(LD)" "CC=$(CC)" "OBJDUMP=$(OBJDUMP)" \
	  $(PAHOLE_VARIABLES) $(KBUILD_PARAMS) $@
	@if [ "$@" = "modules" ]; then \
	  for module in $(NV_KERNEL_MODULES); do \
	    if [ -x split-object-file.sh ]; then \
	      ./split-object-file.sh $$module.ko; \
	    fi; \
	  done; \
	fi

  # Compatibility target for scripts that may be directly calling the
  # "module" target from the old build system.

  module: modules

  # Check if the any of kernel module linker scripts exist. If they do, pass
  # them as linker options (via variable NV_MODULE_LD_SCRIPTS) while building
  # the kernel interface object files. These scripts do some processing on the
  # module symbols on which the Linux kernel's module resolution is dependent
  # and hence must be used whenever present.

  LD_SCRIPT ?= $(KERNEL_SOURCES)/scripts/module-common.lds             \
               $(KERNEL_SOURCES)/arch/$(KERNEL_ARCH)/kernel/module.lds \
               $(KERNEL_OUTPUT)/arch/$(KERNEL_ARCH)/module.lds         \
               $(KERNEL_OUTPUT)/scripts/module.lds
  NV_MODULE_COMMON_SCRIPTS := $(foreach s, $(wildcard $(LD_SCRIPT)), -T $(s))

  # Use $* to match the stem % in the kernel interface file %-linux.o. Replace
  # "nv" with "nvidia" in $* as appropriate: e.g. nv-modeset-linux.o links
  # nvidia-modeset.mod.o and nvidia-modeset/nv-modeset-interface.o. The kernel
  # interface file must have the .mod.o object linked into it: otherwise, the
  # kernel module produced by linking the interface against its corresponding
  # core object file will not be loadable. The .mod.o file is built as part of
  # the MODPOST process (stage 2),  so the rule to build the kernel interface
  # cannot be defined in the *Kbuild files, which are only used during stage 1.

  %-linux.o: modules
	$(LD) $(NV_MODULE_COMMON_SCRIPTS) -r -o $@ \
	  $(subst nv,nvidia,$*).mod.o $(subst nv,nvidia,$*)/$*-interface.o

  # Kbuild's "clean" rule won't clean up the conftest headers on its own, and
  # clean-dirs doesn't appear to work as advertised.
  clean_conftest:
	$(RM) -r conftest
  clean: clean_conftest

endif # KERNELRELEASE

=== src/nvidia-modeset/Makefile ===
###########################################################################
# Makefile for nv-modeset-kernel.o
###########################################################################

NV_MODULE_LOGGING_NAME ?= nvidia-modeset

VERSION_MK_DIR = ../../
include ../../utils.mk

include srcs.mk

##############################################################################
# Helper functions to determine the compiler type
##############################################################################
GET_COMPILER_TYPE = \
  $(shell $(VERSION_MK_DIR)/nv-compiler.sh type $(1))
##############################################################################

# The source files for nv-modeset-kernel.o are all SRCS and SRCS_CXX defined in
# srcs.mk, and the NVIDIA ID string
ALL_SRCS = $(SRCS) $(SRCS_CXX)
ALL_SRCS += $(NVIDSTRING)

SRC_COMMON = ../common

CONDITIONAL_CFLAGS :=

CFLAGS += -include $(SRC_COMMON)/sdk/nvidia/inc/cpuopsys.h

CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc
CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc/hw
CFLAGS += -I $(SRC_COMMON)/shared/inc
CFLAGS += -I $(SRC_COMMON)/inc
CFLAGS += -I $(SRC_COMMON)/softfloat/nvidia
CFLAGS += -I $(SRC_COMMON)/softfloat/source/include
CFLAGS += -I $(SRC_COMMON)/softfloat/source/8086-SSE
CFLAGS += -I $(SRC_COMMON)/unix/common/utils/interface
CFLAGS += -I $(SRC_COMMON)/unix/common/inc
CFLAGS += -I $(SRC_COMMON)/modeset
CFLAGS += -I os-interface/include
CFLAGS += -I kapi/interface
CFLAGS += -I ../nvidia/arch/nvalloc/unix/include
CFLAGS += -I interface
CFLAGS += -I include
CFLAGS += -I kapi/include
CFLAGS += -I generated
CFLAGS += -I $(SRC_COMMON)/displayport/inc
CFLAGS += -I $(SRC_COMMON)/displayport/inc/dptestutil
CFLAGS += -I $(SRC_COMMON)/inc/displayport

CFLAGS += -DNDEBUG
CFLAGS += -D_LANGUAGE_C
CFLAGS += -D__NO_CTYPE

CFLAGS += -DNV_CPU_INTRINSICS_KERNEL
CFLAGS += -DNVHDMIPKT_RM_CALLS_INTERNAL=0

# XXX it would be nice to only define these for appropriate files...
CFLAGS += -DSOFTFLOAT_ROUND_ODD
CFLAGS += -DSOFTFLOAT_FAST_DIV32TO16
CFLAGS += -DSOFTFLOAT_FAST_DIV64TO32

# Tell nvtiming to use nvkms import functions
CFLAGS += -DNVT_USE_NVKMS

# Tell SMG we're being compiled into kernel
CFLAGS += -DNV_SMG_IN_NVKMS

CFLAGS += -Wformat
CFLAGS += -Wreturn-type
CFLAGS += -Wswitch
CFLAGS += -Wunused-local-typedefs
CFLAGS += -Wchar-subscripts
CFLAGS += -Wparentheses
CFLAGS += -Wpointer-arith
CFLAGS += -Wcast-qual
CFLAGS += -Wall
CFLAGS += -Wextra
CFLAGS += -Wno-sign-compare
CFLAGS += -Wno-unused-parameter
CFLAGS += -Wno-missing-field-initializers
CFLAGS += -Wno-format-zero-length
CFLAGS += -Wmissing-declarations
CFLAGS += -Wno-cast-qual

CFLAGS += -O2

ifeq ($(TARGET_ARCH),x86_64)
  CFLAGS += -msoft-float
  CFLAGS += -mno-red-zone
  CFLAGS += -mcmodel=kernel
  CFLAGS += -mno-mmx
  CFLAGS += -mno-sse
  CFLAGS += -mno-sse2
  CFLAGS += -mno-3dnow
endif

ifeq ($(TARGET_ARCH),aarch64)
  CFLAGS += -mgeneral-regs-only
  CFLAGS += -march=armv8-a
  CFLAGS += -ffixed-x18
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mno-outline-atomics)
endif

ifeq ($(TARGET_ARCH),riscv64)
  CFLAGS += -march=rv64imac_zicsr_zifencei
  CFLAGS += -mabi=lp64
  CFLAGS += -mcmodel=medany
  CFLAGS += -mno-relax
endif

CFLAGS += -fno-pic
CFLAGS += -fno-common
CFLAGS += -fomit-frame-pointer
CFLAGS += -fno-strict-aliasing
CFLAGS += -ffunction-sections
CFLAGS += -fdata-sections
CFLAGS += -ffreestanding
CFLAGS += -fno-stack-protector

CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-overflow=2)
CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-truncation=1)

ifeq ($(TARGET_ARCH),x86_64)
  COMPILER_TYPE := $(call GET_COMPILER_TYPE, $(CC))
  ENDBR_SUPPORTED := $(call AS_HAS_INSTR, endbr64)

  FCF_SUPPORTED =

  #
  # GCC flags -fcf-protection=branch and -mindirect-branch=extern-thunk can
  # be used together after GCC version 9.4.0. See 
  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93654 for details.
  # Check if GCC version is appropriate.
  #
  ifeq ($(COMPILER_TYPE),gcc)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 90400)
  endif

  #
  # Clang version 14.0.0 is required for -fcf-protection=branch to work
  # correctly. See commit
  # https://github.com/llvm/llvm-project/commit/dfcf69770bc522b9e411c66454934a37c1f35332
  #
  ifeq ($(COMPILER_TYPE),clang)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 140000)
  endif

  ifeq ($(FCF_SUPPORTED)-$(ENDBR_SUPPORTED),1-1)
    CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fcf-protection=branch)
  endif
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fno-jump-tables)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch=thunk-extern)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch-register)
endif

CFLAGS += $(CONDITIONAL_CFLAGS)

CC_ONLY_CFLAGS += -Wimplicit
CC_ONLY_CFLAGS += -Wstrict-prototypes
CC_ONLY_CFLAGS += -Wmissing-prototypes
CC_ONLY_CFLAGS += -std=gnu11

CXX_ONLY_CFLAGS += -std=gnu++11
CXX_ONLY_CFLAGS += -fno-operator-names
CXX_ONLY_CFLAGS += -fno-rtti
CXX_ONLY_CFLAGS += -fno-exceptions
CXX_ONLY_CFLAGS += -fcheck-new

SHADER_OBJS =

CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/interface
CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/interface
CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/include
CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/include
CFLAGS += -I $(SRC_COMMON)/unix/xzminidec/interface
CFLAGS += -I $(SRC_COMMON)/unix/nvidia-headsurface
CFLAGS += -I src/shaders

CFLAGS += -DNV_PUSH_IN_KERNEL
CFLAGS += -DNV_XZ_CUSTOM_MEM_HOOKS
CFLAGS += -DNV_XZ_USE_NVTYPES
CFLAGS += -DXZ_DEC_SINGLE

# Compress the shaders and embed in ELF object files.
define COMPRESS_SHADERS
$$(OUTPUTDIR)/$(1)_shaders.xz: src/shaders/g_$(1)_shaders
	@$(MKDIR) $$(OUTPUTDIR)
	$$(call quiet_cmd,XZ) -ce -C none < $$^ > $$@

$$(eval $$(call READ_ONLY_OBJECT_FROM_FILE_RULE,$$(OUTPUTDIR)/$(1)_shaders.xz))

SHADER_OBJS += $$(OUTPUTDIR)/$(1)_shaders.xz.o
endef

$(eval $(call COMPRESS_SHADERS,maxwell))
$(eval $(call COMPRESS_SHADERS,pascal))
$(eval $(call COMPRESS_SHADERS,volta))
$(eval $(call COMPRESS_SHADERS,turing))
$(eval $(call COMPRESS_SHADERS,ampere))
$(eval $(call COMPRESS_SHADERS,hopper))
$(eval $(call COMPRESS_SHADERS,blackwell))
$(eval $(call COMPRESS_SHADERS,gb20x))

OBJS = $(call BUILD_OBJECT_LIST,$(ALL_SRCS))
OBJS += $(SHADER_OBJS)

# Define how to generate the NVIDIA ID string
$(eval $(call GENERATE_NVIDSTRING, \
  NV_KMS_ID, \
  UNIX Open Kernel Mode Setting Driver, $(OBJS)))

# Define how to build each object file from the corresponding source file.
$(foreach src, $(ALL_SRCS), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

NV_MODESET_KERNEL_O = $(OUTPUTDIR)/nv-modeset-kernel.o

.PHONY: all
all: $(NV_MODESET_KERNEL_O)

$(NV_MODESET_KERNEL_O): $(OBJS)
	$(call quiet_cmd,LD) -r -o $(NV_MODESET_KERNEL_O) $(OBJS)

.PHONY: clean
clean:
	$(RM) -rf $(OUTPUTDIR)

=== debian/changelog ===
nvidia-graphics-drivers-575 (575.64.03-0ubuntu4) questing; urgency=medium

  * Transitions old driver to 580 (LP: #2122017)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 04 Sep 2025 17:59:53 +0200

nvidia-graphics-drivers-575 (575.64.03-0ubuntu2) questing; urgency=medium

  * New upstream release 575.64.03 (LP: #2114915)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 02 Jul 2025 16:28:12 +0200

nvidia-graphics-drivers-575 (575.64.03-0ubuntu1) questing; urgency=medium

  * New upstream release 575.64.03 (LP: #2114915)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 02 Jul 2025 13:25:56 +0200

nvidia-graphics-drivers-575 (575.64-0ubuntu3) questing; urgency=medium

  * Fix -open variant FTBFS with Linux 6.16:
    - 0003-nv-dmabuf-Inline-dma_buf_attachment_is_dynamic.patch
    - 0004-nvidia-uvm-Disable-SVA-support-for-6.16.patch
  * Apply GPL compatibility fix for v6.16 too

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 24 Jun 2025 11:48:02 +0200

nvidia-graphics-drivers-575 (575.64-0ubuntu2) questing; urgency=medium

  * Preserve video memory on suspend/resume

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 23 Jun 2025 17:26:43 +0200

nvidia-graphics-drivers-575 (575.64-0ubuntu1) questing; urgency=medium

  * New upstream release 575.64 (LP: #2114915)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 17:43:17 +0200

nvidia-graphics-drivers-575 (575.57.08-0ubuntu2) questing; urgency=medium

  * fix GPL compatibility

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 03 Jun 2025 16:09:23 +0200

nvidia-graphics-drivers-575 (575.57.08-0ubuntu1) questing; urgency=medium

  * new series 575

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 03 Jun 2025 12:52:55 +0200

=== debian/control ===
Source: nvidia-graphics-drivers-575
Section: non-free/oldlibs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/575
Build-Depends:
 debhelper (>= 12),
 dpkg-dev (>= 1.17.11~),
 quilt,
 xz-utils,
 zstd,
 dkms,
 libxext6,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-driver-580
Description: NVIDIA Server Driver metapackage
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-source-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-kernel-source-580
Description: NVIDIA kernel source package
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-dkms-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-dkms-580
Description: NVIDIA DKMS package
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-utils-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-utils-580
Description: NVIDIA Server Driver support binaries
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-compute-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Section: non-free/oldlibs
Depends: libnvidia-compute-580
Description: NVIDIA libcompute package
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-compute-utils-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-compute-utils-580
Description: NVIDIA compute utilities
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-no-dkms-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-headless-no-dkms-580
Description: NVIDIA headless metapackage - no DKMS
 Transitional package for upgrades. This package can be safely removed.
 
Package: nvidia-headless-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-headless-580
Description: NVIDIA headless metapackage
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-common-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-kernel-common-580
Description: Shared files used with the kernel module
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-gl-575
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-gl-580
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-common-575
Architecture: all
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: libnvidia-common-580
Description: Shared files used by the NVIDIA libraries
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-extra-575
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-extra-580
Description: Extra libraries for the NVIDIA Server Driver
 Transitional package for upgrades. This package can be safely removed.

Package: xserver-xorg-video-nvidia-575
Section: non-free/oldlibs
Architecture: amd64 arm64
Depends: xserver-xorg-video-nvidia-580
Description: NVIDIA binary Xorg driver
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-cfg1-575
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-cfg1-580
Description: NVIDIA binary OpenGL/GLX configuration library
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-fbc1-575
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-fbc1-580
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-decode-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Section: non-free/oldlibs
Depends: libnvidia-decode-580
Description: NVIDIA Video Decoding runtime libraries
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-encode-575
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-encode-580
Description: NVENC Video Encoding runtime library
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-driver-575-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-driver-580-open
Description: NVIDIA driver (open kernel) metapackage
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-source-575-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-kernel-source-580-open
Description: NVIDIA kernel source package
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-dkms-575-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-dkms-580-open
Description: NVIDIA DKMS package (open kernel module)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-no-dkms-575-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-headless-no-dkms-580-open
Description: NVIDIA headless metapackage - no DKMS (open kernel module)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-575-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Depends: nvidia-headless-580-open
Description: NVIDIA headless metapackage (open kernel module)
 Transitional package for upgrades. This package can be safely removed.

## nvidia-graphics-drivers-575 575.64.05

=== debian/changelog ===
nvidia-graphics-drivers-575 (2:575.64.05-1tux1) noble-nvidia; urgency=medium

  * New upstream release.
     - Minor bug fixes and improvements

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 23 Jul 2025 11:37:49 +0200

nvidia-graphics-drivers-575 (2:575.64.03-1tux1) noble-nvidia; urgency=medium

  * New upstream release.
    - Minor bug fixes and improvements

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 01 Jul 2025 21:15:07 +0200

nvidia-graphics-drivers-575 (2:575.64-1tux2) noble-nvidia; urgency=medium

  * add nvidia-suspend-then-hibernate.service

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 20 Jun 2025 09:21:38 +0200

nvidia-graphics-drivers-575 (2:575.64-1tux1) noble-nvidia; urgency=medium

  * New upstream release of of new feature branch

    - Fixed a bug that could cause blank rendering on some single-buffered GLX applications when running on Xwayland.
    - Fixed a bug that could cause a kernel use-after-free on pre-Turing GPUs.
    - Fixed a bug that could cause 32-bit x86 applications running on recent builds of glibc to crash on dlopen().

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 17 Jun 2025 22:17:10 +0200

nvidia-graphics-drivers-575 (2:575.57.08-1tux1) noble-nvidia; urgency=medium

  * New upstream of new feature branch

    - Fixed a bug that led to increasing memory usage in X11 OpenGL and Vulkan applications after suspend/resume cycles.
    - Fixed a bug that could cause OpenGL applications and compositors to stall when using NVIDIA as a PRIME Display Offload sink ("Reverse PRIME"), potentially resulting in a black screen.

    Highlights from R575 Beta Release, 575.51.02

    - Extended the __NV_DISABLE_EXPLICIT_SYNC environment variable, which was available to EGL applications, to also apply to GLX and Vulkan applications.
    - Fixed a bug that could cause Marvel Rivals to crash on startup or when loading levels.
    - Fixed a bug that could cause the applications that use the VK_KHR_present_wait extension to hang on Wayland.
    - Added support for GLX front buffer rendering on Xwayland.
    - Fixed a bug that could cause Minecraft to crash on Xwayland.
    - Fixed a bug that prevented PRIME Render Offload from working correctly when using NVIDIA GPUs as both the render offload source and the render offload sink.
    - Fixed a bug which prevented VRR from working when overriding an EDID through the /sys/kernel/debug/dri/*/edid_override interface.
    - Added support for the DRM plane properties COLOR_ENCODING and COLOR_RANGE.
    - Fixed a bug that prevented the Default TGP and Max TGP values from being reported in the nvidia-settings control panel while running notebook systems on battery power.
    - Fixed a bug that could lead to display freezes on some systems when toggling Night Mode with GNOME on Wayland.
    - Fixed a bug that could cause graphics applications to not render correctly after a system suspend/resume cycle, if using the nvidia.ko kernel module parameter NVreg_PreserveVideoMemoryAllocations=1.
    - Added a new kernel module parameter, 'conceal_vrr_caps', to the nvidia-modeset kernel module. This parameter may be used to enable usage of features on some displays such as ULMB (Ultra Low Motion Blur) which are incompatible with VRR. See the "Direct Rendering Manager Kernel Modesetting" (DRM KMS) chapter of the README for further information.
    - Added support for NVIDIA Smooth Motion. See the "NVIDIA Smooth Motion" chapter in the README for details.
    - Extended the nvidia-powerd daemon to also support Dynamic Boost while a notebook is running on battery power. See the "Dynamic Boost on Linux" chapter in the README for details.
    - Updated the nvidia-modeset driver to trim trailing whitespace from the product name passed to the GPU's audio device as part of the EDID-Like Data (ELD).
    - Dropped support for NV_PLANE_BLEND_CTM, NV_PLANE_DEGAMMA_TF, NV_PLANE_DEGAMMA_LUT, NV_PLANE_DEGAMMA_LUT_SIZE, and NV_PLANE_DEGAMMA_MULTIPLIER DRM plane properties on Linux kernels earlier than 6.8 to avoid exceeding DRM_OBJECT_MAX_PROPERTY.
    - Fixed an issue that could cause render-offloaded applications using KDE Frameworks 6 to crash.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 30 May 2025 11:08:21 +0200

nvidia-graphics-drivers-570 (2:570.153.02-1tux1) noble-nvidia; urgency=medium

  * New upstream release.

    - Fixed a bug that could cause OpenGL applications and compositors to stall when using NVIDIA as a PRIME Display Offload sink ("Reverse PRIME"), potentially resulting in a black screen. 
    - Fixed a bug that led to increasing memory usage in X11 OpenGL and Vulkan applications after suspend/resume cycles.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 23 May 2025 12:02:10 +0200

nvidia-graphics-drivers-570 (2:570.144-1tux1) noble-nvidia; urgency=medium

  * New upstream release.

    - Fixed an issue that could cause render-offloaded applications using KDE Frameworks 6 to crash.
    - Fixes CVE-2025-23244, CVE-2025-23245, CVE-2025-23246

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 23 Apr 2025 09:40:04 +0200

nvidia-graphics-drivers-570 (2:570.133.07-1tux1) noble-nvidia; urgency=medium

  * New upstream release.

    - Fixed a bug that could cause console restoration to fail with soft lockups on some UEFI systems.
    - Fixed a bug causing clocking issues in games with DLSS frame generation.
    - Fixed a bug that could prevent RTX 50 series GPUs from enabling HDR on certain HDMI displays, resulting in washed out HDR content.
    - Fixed a bug preventing certain notebook systems from enabling the ACPI video backlight driver when needed.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 19 Mar 2025 15:01:25 +0100

nvidia-graphics-drivers-570 (2:570.124.04-1tux1) noble-nvidia; urgency=medium

  * New upstream release.
    
    Highlights since R570 Beta Release, 570.86.16



=== debian/control ===
Source: nvidia-graphics-drivers-575
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/575
Build-Depends:
 debhelper (>= 12),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 zstd,
 dkms,
 libxext6,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland-dev,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-575
Architecture: amd64 arm64
Depends:
 libnvidia-gl-575 (= ${binary:Version}),
 nvidia-dkms-575 (= ${binary:Version}),
 nvidia-kernel-common-575 (= ${binary:Version}),
 nvidia-kernel-source-575 (= ${binary:Version}),
 libnvidia-compute-575 (= ${binary:Version}),
 libnvidia-extra-575 (= ${binary:Version}),
 nvidia-compute-utils-575 (= ${binary:Version}),
 libnvidia-decode-575 (= ${binary:Version}),
 libnvidia-encode-575 (= ${binary:Version}),
 nvidia-utils-575 (= ${binary:Version}),
 xserver-xorg-video-nvidia-575 (= ${binary:Version}),
 libnvidia-cfg1-575 (= ${binary:Version}),
 libnvidia-fbc1-575 (= ${binary:Version}) [!ppc64el],
 ${misc:Depends}
Recommends:
 nvidia-settings, nvidia-prime (>= 0.8),
 libnvidia-compute-575:i386 (= ${binary:Version}) [amd64],
 libnvidia-decode-575:i386 (= ${binary:Version}) [amd64],
 libnvidia-encode-575:i386 (= ${binary:Version}) [amd64],
 libnvidia-fbc1-575:i386 (= ${binary:Version}) [amd64],
 libnvidia-gl-575:i386 (= ${binary:Version}) [amd64]
XB-Modaliases: ${modaliases}
XB-PmAliases: ${nvidia:pm-modaliases}
XB-Support: PB
Description: NVIDIA driver metapackage
 This metapackage depends on the NVIDIA binary driver and on all of its libraries,
 to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
 applications on either X11 or on Wayland.
 .
 See /usr/share/doc/nvidia-driver-575/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source-575
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-kernel-source
Replaces:
 nvidia-kernel-source, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides:
 nvidia-kernel-source
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA kernel source package
 This package provides the NVIDIA kernel source needed by the userspace
 driver.

Package: nvidia-dkms-575
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-dkms-kernel
Breaks: nvidia-kernel-source-575 (<< 390.25-0ubuntu2~)
Replaces:
 nvidia-dkms-kernel, nvidia-kernel-source-575 (<< 390.25-0ubuntu2~), nvidia-384 (<< 390.25)
Provides:
 nvidia-dkms-kernel
Depends:
 dkms,
 nvidia-kernel-source-575 (= ${binary:Version}),
 nvidia-kernel-common-575 (= ${binary:Version}),
 nvidia-firmware-575 (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA DKMS package
 This package builds the NVIDIA kernel module needed by the userspace
 driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.

Package: nvidia-utils-575
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-driver-575,
Provides:
 nvidia-utils, nvidia-smi
Conflicts:
 nvidia-utils, nvidia-smi
Replaces:
 nvidia-utils, nvidia-smi
Description: NVIDIA driver support binaries
 This package contains supporting binaries for the NVIDIA driver.

Package: libnvidia-compute-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Depends:
  ${misc:Depends}, ${shlibs:Depends}
Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
 libnvidia-ml1 (= ${source:Version}),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1,
 libcuda.so.1 (= ${source:Version}),
 libcuda1 (= ${source:Version})
Conflicts: libnvidia-compute, nvidia-opencl-icd,
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-575 (<< 390.25-0ubuntu2~),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Description: NVIDIA libcompute package
 This package provides a set of libraries which enable the NVIDIA driver
 to use GPUs for parallel general purpose computation through CUDA and
 OpenCL.

Package: nvidia-compute-utils-575
Architecture: amd64 arm64
Depends:
 libnvidia-compute-575, adduser,
 ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-compute-utils, nvidia-persistenced
Conflicts: nvidia-compute-utils, nvidia-persistenced
Replaces: nvidia-compute-utils, nvidia-persistenced
Description: NVIDIA compute utilities
 This package provides utility binaries for paraller general purpose
 computing use cases with the NVIDIA driver.
 .
 CUDA MPS is a feature that allows multiple CUDA processes to share a single
 GPU context. CUDA MPS should be transparent to CUDA programs.
 .
 CUDA MPS requires a device that supports Unified Virtual Address (UVA) and
 has compute capability SM 3.5 or higher.
 Pre-CUDA 4.0 APIs are not supported under CUDA MPS.

Package: nvidia-headless-no-dkms-575
Architecture: amd64 arm64
Conflicts: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: nvidia-384
Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Depends:
 nvidia-kernel-common-575 (= ${binary:Version}),
 nvidia-kernel-source-575 (= ${binary:Version}),
 libnvidia-compute-575 (= ${binary:Version}),
 nvidia-compute-utils-575 (= ${binary:Version}),
 libnvidia-cfg1-575 (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage - no DKMS
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL. DKMS will not be installed, and, therefore, the kernel module
 will not be built.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-575 metapackage.

Package: nvidia-headless-575
Architecture: amd64 arm64
Conflicts: nvidia-headless
Provides: nvidia-headless
Replaces: nvidia-headless
Depends:
 nvidia-headless-no-dkms-575,
 nvidia-dkms-575,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-575 metapackage.

Package: nvidia-kernel-common-575
Architecture: amd64 arm64
Conflicts: nvidia-kernel-common
Provides: nvidia-kernel-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-575 (= ${binary:Version}),
Replaces:
 nvidia-dkms-575 (<< 390.48-0ubuntu3~), nvidia-kernel-common
Description: Shared files used with the kernel module
 This package installs all the optional accessory files for the NVIDIA
 kernel module.
 .
 Install this package if you want to blacklist any conflicting kernel
 modules, and if you want udev to load the the NVIDIA kernel modules,
 and to create the uvm devices automatically.

Package: nvidia-firmware-575
Architecture: amd64 arm64
Breaks:
 nvidia-firmware-575-server-575.64.05, nvidia-firmware-575 (<< ${binary:Version}),
Replaces:
 nvidia-firmware-575-server-575.64.05, nvidia-firmware-575 (<< ${binary:Version}),
Depends:
 ${misc:Depends}
Description: Firmware files used by the kernel module
 This package installs required firmware files for the NVIDIA kernel
 module.

Package: libnvidia-gl-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Conflicts: libnvidia-gl
Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: libnvidia-gl, libglx-vendor, libegl-vendor
Depends:
 libnvidia-common-575, ${misc:Depends}, ${shlibs:Depends},
 libnvidia-egl-wayland1
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
 Vulkan ICD.

Package: libnvidia-common-575
Architecture: all
Multi-Arch: foreign
Breaks: libnvidia-gl-575 (<< 390.25-0ubuntu2~)
Conflicts: libnvidia-common
Replaces: libnvidia-common, libnvidia-gl-575 (<< 390.25-0ubuntu2~)
Provides: libnvidia-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Shared files used by the NVIDIA libraries
 This package provides a set of files that are required by the NVIDIA
 libraries.

Package: libnvidia-extra-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Breaks: libnvidia-common-575 (<< 440.64-0ubuntu3~)
Conflicts: libnvidia-extra
Replaces: libnvidia-extra, libnvidia-common-575 (<< 440.64-0ubuntu3~)
Provides: libnvidia-extra
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Extra libraries for the NVIDIA driver
 This package provides an additional set of libraries to be used with
 the NVIDIA driver.

Package: xserver-xorg-video-nvidia-575
Section: non-free/x11
Architecture: amd64 arm64
Depends:
 libnvidia-cfg1-575 (= ${binary:Version}),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: xorg-driver-binary, nvidia-driver-binary
Replaces: xorg-driver-binary, nvidia-driver-binary
Provides:
 xorg-driver-binary, nvidia-driver-binary,
 ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See /usr/share/doc/nvidia-driver-575/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libnvidia-cfg1-575
Architecture: amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Conflicts:
 libnvidia-cfg1-any,
Replaces:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: libnvidia-fbc1-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
# ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-fbc1,
Conflicts:
 libnvidia-fbc1,
Replaces:
 libnvidia-fbc1,
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
 The NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL) library provides
 a high performance, low latency interface to capture and optionally encode an
 OpenGL framebuffer. NvFBCOpenGL is a private API that is only available to
 approved partners for use in remote graphics scenarios.
 .
 This package contains the NvFBCOpenGL runtime library.

Package: libnvidia-decode-575
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
